<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="apple-touch-icon" sizes="76x76" href="../assets/img/apple-icon.png">
  <link rel="icon" type="image/png" href="../assets/img/favicon.png">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
  <title>
    SlavDrive by Slavs
  </title>
  <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no'
    name='viewport' />
  <!--     Fonts and icons     -->
  <link rel="stylesheet" type="text/css"
    href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Roboto+Slab:400,700|Material+Icons" />
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css">
  <!-- CSS Files -->
  <link href="../assets/css/material-dashboard.css?v=2.1.1" rel="stylesheet" />
  <!-- CSS Just for demo purpose, don't include it in your project -->
  <link href="../assets/css/demo.css" rel="stylesheet" />
  <link href="../assets/css/footer.css" rel="stylesheet"/>
</head>

<body class="">
  <div class="wrapper ">
    <div class="sidebar" data-color="azure" data-background-color="white" data-image="../assets/img/sidebar-1.jpg">
      <!--
        Tip 1: You can change the color of the sidebar using: data-color="purple | azure | green | orange | danger"

        Tip 2: you can also add an image using data-image tag
    -->
      <div class="logo">
        <a href="" class="simple-text logo-normal">
          Slav Drive
        </a>
      </div>

      <!-- Navigation buttons-->
      <div class="sidebar-wrapper" id="sidebar-wrapper">
        <ul class="nav">
          <li class="nav-item button active ">
            <a class="nav-link" href="#Dash">
              <i class="material-icons">dashboard</i>
              <p>Dashboard</p>
            </a>
          </li>       
          <li class="nav-item button ">
            <a class="nav-link" href="#Table">
              <i class="material-icons">content_paste</i>
              <p>Upload</p>
            </a>
          </li>      
          <li class="nav-item button ">
            <a class="nav-link" href="#map">
              <i class="material-icons">location_ons</i>
              <p>Map</p>
            </a>
          </li>
          <li class="nav-item button ">
            <a class="nav-link" href="#User">
              <i class="material-icons">person</i>
              <p>User Profile</p>
            </a>
          </li>       
        </ul>
      </div>
    </div>
    <div class="main-panel">
      <!-- Navbar -->
      <nav class="navbar navbar-expand-lg navbar-transparent navbar-absolute fixed-top ">
        <div class="container-fluid">
          <div class="navbar-wrapper">
            <a class="navbar-brand" href="#pablo">Dashboard</a>
          </div>

        </div>
      </nav>
      <!-- End Navbar -->

      <!-- Dashboard card-->
      <div class="content" id="Dash">
        <div class="container-fluid">
          <div class="row">
            <div class="col-lg-3 col-md-6 col-sm-6">
              <div class="card card-stats">
                <div class="card-header card-header-warning card-header-icon">
                  <div class="card-icon">
                    <i class="material-icons">build</i>
                  </div>
                  <p class="card-category">Fuel consumption</p>
                  <h3 class="card-title" id="fuel">7.3 
                    <small>l/100km</small>
                  </h3>
                </div>
                <div class="container">
                  <div class="row">
                    <div class="col-sm-1">
                    </div>
                    <div class="col-sm-10">
                      <div class="progress">
                        <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 73%"
                          aria-valuenow="10" aria-valuemin="0" aria-valuemax="100"></div>
                      </div>
                    </div>
                    <div class="col-sm-1">
                    </div>
                  </div>
                </div>
                <div class="card-footer">
                  <div class="stats">
                    <i class="material-icons text-danger">warning</i>
                    <a href="#pablo">High emissions compare to avg...</a>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-lg-3 col-md-6 col-sm-6">
              <div class="card card-stats">
                <div class="card-header card-header-success card-header-icon">
                  <div class="card-icon">
                    <i class="material-icons">store</i>
                  </div>
                  <p class="card-category">Total distance driven</p>
                  <h3 class="card-title" id="distance">
                    <small>km</small>
                  </h3>
                </div>
                <div class="card-footer">
                  <div class="stats">
                    <i class="material-icons">date_range</i> Last 654 days
                  </div>
                </div>
              </div>
            </div>
            <div class="col-lg-3 col-md-6 col-sm-6">
              <div class="card card-stats">
                <div class="card-header card-header-danger card-header-icon">
                  <div class="card-icon">
                    <i class="material-icons">info_outline</i>
                  </div>
                  <p class="card-category">Duration</p>
                  <h3 class="card-title" id="acceleration">
                    <small>h</small>
                  </h3>
                </div>
                <div class="card-footer">
                  <div class="stats">
                    <i class="material-icons">local_offer</i> Tracked from file
                  </div>
                </div>
              </div>
            </div>
            <div class="col-lg-3 col-md-6 col-sm-6">
              <div class="card card-stats">
                <div class="card-header card-header-info card-header-icon">
                  <div class="card-icon">
                    <i class="material-icons">signal_cellular_null</i>
                  </div>
                  <p class="card-category">Elevation</p>
                  <h3 class="card-title" id="elevation">
                    <small>m</small>
                  </h3>
                </div>
                <div class="card-footer">
                  <div class="stats">
                    <i class="material-icons">update</i> Just calculated
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- Charts-->
          <div class="row">
            <div class="col-md-4">
              <div class="card card-chart">
                <div class="card-header card-header-success">
                  <div class="ct-chart" id="dailySalesChart"></div>
                </div>
                <div class="card-body">
                  <h4 class="card-title">Daily</h4>
                  <p class="card-category">
                    <span class="text-success"><i class="fa fa-long-arrow-up"></i> 55% </span> increase in today sales.
                  </p>
                  <p>Distance [km] measured in every hour </p>
                  <canvas id="dailyChart" width="400" height="300"></canvas>
                </div>
                <div class="card-footer">
                  <div class="stats">
                    <i class="material-icons">access_time</i> updated 4 minutes ago
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-4">
              <div class="card card-chart">
                <div class="card-header card-header-warning">
                  <div class="ct-chart" id="websiteViewsChart"></div>
                </div>
                <div class="card-body">
                  <h4 class="card-title">Monthly</h4>
                  <p class="card-category">Last Campaign Performance</p>
                  <p> Distance [km] measured in every day</p>
                  <canvas id="monthlyChart" width="400" height="300"></canvas>
                </div>
                <div class="card-footer">
                  <div class="stats">
                    <i class="material-icons">access_time</i> campaign sent 2 days ago
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-4">
              <div class="card card-chart">
                <div class="card-header card-header-danger">
                  <div class="ct-chart" id="completedTasksChart"></div>
                </div>
                <div class="card-body">
                  <h4 class="card-title">Annual</h4>
                  <p class="card-category">Last Campaign Performance</p>
                  <p>Distance [km] measured in every month</p>
                  <canvas id="annualChart" width="400" height="300"></canvas>
                </div>
                <div class="card-footer">
                  <div class="stats">
                    <i class="material-icons">access_time</i> campaign sent 2 days ago
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- Data upload interface card-->
          <div class="row" id="Table">
            <div class="col-md-12">

              <!-- Drag and drop box with status messages and file meta data-->
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title ">Drag & Drop</h4>
                  <p class="card-category"> Drag file here to parse it</p>
                </div>
                
                <div class="card-body">
                  <div class="table-responsive">
                    <div class="container p-y-1">
                      <div class="row m-b-1">
                        <div class="col-sm-6 offset-sm-3">
                          <div id="drop-area">
                            <form id="upload" action="index.html" method="POST" enctype="multipart/form-data">
                              <div id="filedrag">
                                <fieldset>
                                  <legend>Upload driving GPS coordinates</legend>
  
                                  <input type="hidden" id="MAX_FILE_SIZE" name="MAX_FILE_SIZE" value="300000" />
  
  
                                  <label for="fileselect">Files to upload:</label>
                                  <input type="file" id="fileselect" name="fileselect[]" multiple="multiple" />
                                  <p>or drop files here</p>
  
  
                              
                                  
                              </div>
  
                              </fieldset>
  
                            </form>
                          </div>
                          <div id="messages">
                            <p>Status Messages: </p>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <!-- Table with first 100 points from file(s)-->
              <div class="container-fluid">
                <div class="row">
                  <div class="col-md-12">
                    <div class="card">
                      <div class="card-header card-header-primary">
                        <h4 class="card-title ">Data in file - first 100 points</h4>
                      </div>
                      <div class="card-body">
                        <div class="table-responsive">
                          <table class="table" id="dataTable">
                            <thead class=" text-primary">
                              <th>
                                ID
                              </th>
                              <th>
                                Index
                              </th>
                              <th>
                                Timestamp
                              </th>
                              <th>
                                Latitude
                              </th>
                              <th>
                                Longitude
                              </th>
                            </thead>
                            <tbody>
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

                <!-- Map interface card-->
                  <div id="map"></div>
                  <p id='user_location'></p>
                  <button id='location_button' onclick="showMeMyLocation()">Show me my location</button>
                  <br><br><br>



                  <!-- User interface card-->
                  <div class="container-fluid" id="User">
                    <div class="row d-flex justify-content-center">            
                      <div class="col-md-4">
                        <div class="card card-profile">
                          <div class="card-avatar">
                            <a href="#pablo">
                              <img class="img" src="../assets/img/faces/vladimir_putin.png" />
                            </a>
                          </div>
                          <div class="card-body">
                            <h6 class="card-category text-gray">Tovariš</h6>
                            <h4 class="card-title">Vladimir Putin</h4>
                            <p class="card-description">
                              The task of the government is not only to pour honey into a cup, but sometimes to give bitter medicine. 
                            </p>
                            <a href="#pablo" class="btn btn-primary btn-round">Follow</a>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
  
  
                </div>       


        </div>

      </div>
    </div>
    
  </div>

  <div class="footer">
    <a href="../assets/docs/SlavDrive.html">Project Documentation</a> 
  </div>
<script>



</script>
  <!--   Core JS Files   -->
  <script src="../assets/js/core/jquery.min.js"></script>
  <script src="../assets/js/core/popper.min.js"></script>
  <script src="../assets/js/core/bootstrap-material-design.min.js"></script>
  <script src="../assets/js/plugins/perfect-scrollbar.jquery.min.js"></script> 
  <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.3/Chart.js"></script>
  <!-- Material Dashboard DEMO methods, don't include it in your project! -->

  <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBnsDxtIHJwyELYlLUsdMleSqrpflTQD2c&callback=initGoogle"></script>
  
  <script src="../assets/demo/storage.js"></script> 
  <script src="../assets/demo/calculator.js"></script>
  <script src="../assets/demo/filedrag.js"></script>
  <script src="../assets/demo/demo.js"></script>  
  <script src="../assets/demo/workers.js"></script>
  <script src="../assets/demo/buttons.js"></script>                          
  <script type="text/javascript" src="../assets/demo/chart.js"></script>


  <script>
    $(document).ready(function () {
      // Javascript method's body can be found in assets/js/demos.js
      complexInitGoogleMaps();
      
    });
  </script>
</body>

</html>